#define SYSCLOCK F_CPU
#define USE_RECEIVE	1

#include <IRLib.h>
#include <IRLibTimer.h>

#define LED_PIN		13
#define RECV_PIN	2

IRrecvLoop My_Receiver(RECV_PIN);
IRdecode My_Decoder;
  
void setup () { 
  Serial.begin(9600);
  Serial.println( "Start" );
}

void loop () 
{
  bool status = false;

  status = My_Receiver.GetResults(&My_Decoder);
  if (status) {
    //Restart the receiver so it can be capturing another code
    //while we are working on decoding this one.
    My_Receiver.resume(); 
    My_Decoder.decode();
#ifdef IRLIB_TRACE
    My_Decoder.DumpResults();
#endif
    if( My_Decoder.decode_type == LIGHT ) {
	Serial.print( ">>>" );
	Serial.println( My_Decoder.value,HEX );
    }  
  }
}

